Subject: Re: [PATCH v2 16/16] config: allow multi-byte core.commentChar

From: Junio C Hamano <[email-masked]>
Date: Wed, 27 Mar 2024 07:53:23 -0700

Jeff King <[email-masked]> writes:

> OK. I don't have a strong opinion. Are you OK with core.commentString as
> a strict synonym (so last-one-wins and either name overwrites previous)?
> Or do you want an override (i.e., commentString always overrides
> commentChar, regardless of order). I think it's mostly academic, and the
> strict synonym version is much easier to implement.

When I wrote it, I meant "String is a successor of Char, if both
exists that is used regardless of the order", but either is OK.
Older versions of Git would not understand the "String" version, so
it matters only to those who uses mixed versions of Git and they can
control the last-one-wins in their configuration file, I would
guess.

Thanks.